IntelliPhoto 0.5

Public Types | Public Member Functions | List of all members
IntelliToolsettings Class Reference

`#include <IntelliToolsettings.h>`

## Public Types
enum | LineStyle { LineStyle::SOLID_LINE, LineStyle::DOTTED_LINE }
| The LineStyle enum classifing all ways of drawing a line. More...

## Public Member Functions
| IntelliToolsettings ()
virtual | ~IntelliToolsettings ()
int | getLineWidth ()
void | setLineWidth ()
void | setLineWidth (int LineWidth)
int | getInnerAlpha ()
void | setInnerAlpha ()
void | setInnerAlpha (int innerAlpha)
LineStyle | getLinestyle ()

## Detailed Description

Definition at line 4 of file IntelliToolsettings.h.

## Member Enumeration Documentation

## ◆ LineStyle

enum IntelliToolsettings::LineStyle
| strong

The LineStyle enum classifing all ways of drawing a line.

Enumerator
SOLID_LINE |
DOTTED_LINE |

Definition at line 9 of file IntelliToolsettings.h.

## Constructor & Destructor Documentation

## ◆ IntelliToolsettings()

IntelliToolsettings::IntelliToolsettings | ( |  | ) |

Definition at line 4 of file IntelliToolsettings.cpp.

## ◆ ~IntelliToolsettings()

IntelliToolsettings::~IntelliToolsettings | ( |  | ) |
| virtual

Definition at line 11 of file IntelliToolsettings.cpp.

## Member Function Documentation

## ◆ getInnerAlpha()

int IntelliToolsettings::getInnerAlpha | ( |  | ) |

Definition at line 33 of file IntelliToolsettings.cpp.

## ◆ getLinestyle()

IntelliToolsettings::LineStyle IntelliToolsettings::getLinestyle | ( |  | ) |

Definition at line 51 of file IntelliToolsettings.cpp.

## ◆ getLineWidth()

int IntelliToolsettings::getLineWidth | ( |  | ) |

Definition at line 15 of file IntelliToolsettings.cpp.

## ◆ setInnerAlpha() [1/2]

void IntelliToolsettings::setInnerAlpha | ( |  | ) |

Definition at line 37 of file IntelliToolsettings.cpp.

## ◆ setInnerAlpha() [2/2]

void IntelliToolsettings::setInnerAlpha | ( | int | innerAlpha | ) |

Definition at line 41 of file IntelliToolsettings.cpp.

## ◆ setLineWidth() [1/2]

void IntelliToolsettings::setLineWidth | ( |  | ) |

Definition at line 19 of file IntelliToolsettings.cpp.

## ◆ setLineWidth() [2/2]

void IntelliToolsettings::setLineWidth | ( | int | LineWidth | ) |

Definition at line 23 of file IntelliToolsettings.cpp.

The documentation for this class was generated from the following files:

- intelliphoto/src/IntelliHelper/IntelliToolsettings.h
- intelliphoto/src/IntelliHelper/IntelliToolsettings.cpp